## org.apache.commons.math.exception
Class MathIllegalArgumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math.exception.MathIllegalArgumentException

All Implemented Interfaces:
  Serializable, MathThrowable

Direct Known Subclasses:
  MathIllegalNumberException, NullArgumentException

    public class MathIllegalArgumentException

extends IllegalArgumentException
implements MathThrowable

Base class for all preconditions violation exceptions. This class is not intended to be instantiated directly: it should serve as a base class to create all the exceptions that share the semantics of the standard `IllegalArgumentException`, but must also provide a localized message.

Since:
  2.2
Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private Object[]` `arguments` Arguments used to build the message.
`private Localizable` `general` Pattern used to build the message (general problem description).
`private static long` `serialVersionUID` Serializable version Id.
`private Localizable` `specific` Pattern used to build the message (specific context).

Constructor Summary
`protected` `MathIllegalArgumentException(Localizable specific, Localizable general, Object... args)`
`protected` `MathIllegalArgumentException(Localizable general, Object... args)`

Method Summary
`Object[]` `getArguments()` Gets the arguments used to build the message of this throwable.
`Localizable` `getGeneralPattern()` Gets the localizable pattern used to build the general part of the message of this throwable.
`String` `getLocalizedMessage()` Gets the message in the system default locale.
`String` `getMessage()` Gets the message in a conventional US locale.
`String` `getMessage(Locale locale)` Get the message in a specified locale.
`Localizable` `getSpecificPattern()` Gets the localizable pattern used to build the specific part of the message of this throwable.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version Id.

  See Also:
    Constant Field Values

### specific

    private final Localizable specific

  Pattern used to build the message (specific context).

### general

    private final Localizable general

  Pattern used to build the message (general problem description).

### arguments

    private final Object[] arguments

  Arguments used to build the message.

Constructor Detail

### MathIllegalArgumentException

    protected MathIllegalArgumentException(Localizable specific,
                                           Localizable general,
                                           Object... args)

Parameters:
  `specific` - Message pattern providing the specific context of the error.
  `general` - Message pattern explaining the cause of the error.
  `args` - Arguments.

### MathIllegalArgumentException

    protected MathIllegalArgumentException(Localizable general,
                                           Object... args)

Parameters:
  `general` - Message pattern explaining the cause of the error.
  `args` - Arguments.

Method Detail

### getSpecificPattern

    public Localizable getSpecificPattern()

  Gets the localizable pattern used to build the specific part of the message of this throwable.

  Specified by:
    `getSpecificPattern` in interface `MathThrowable`
  Returns:
    localizable pattern used to build the specific part of the message of this throwable

### getGeneralPattern

    public Localizable getGeneralPattern()

  Gets the localizable pattern used to build the general part of the message of this throwable.

  Specified by:
    `getGeneralPattern` in interface `MathThrowable`
  Returns:
    localizable pattern used to build the general part of the message of this throwable

### getArguments

    public Object[] getArguments()

  Gets the arguments used to build the message of this throwable.

  Specified by:
    `getArguments` in interface `MathThrowable`
  Returns:
    the arguments used to build the message of this throwable

### getMessage

    public String getMessage(Locale locale)

  Get the message in a specified locale.

  Specified by:
    `getMessage` in interface `MathThrowable`
  Parameters:
    `locale` - Locale in which the message should be translated.
  Returns:
    the localized message.

### getMessage

    public String getMessage()

  Gets the message in a conventional US locale.

  Specified by:
    `getMessage` in interface `MathThrowable`
  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    localized message

### getLocalizedMessage

    public String getLocalizedMessage()

  Gets the message in the system default locale.

  Specified by:
    `getLocalizedMessage` in interface `MathThrowable`
  Overrides:
    `getLocalizedMessage` in class `Throwable`
  Returns:
    localized message

Copyright (c) 2003-2013 Apache Software Foundation